#!/usr/bin/perl

use strict;
package Conf;

############################
## LOOK N FEEL            ##
############################
$Conf::SITE_NAME = "Kwotes";
# the name of the site

@Conf::TAG_LINES = (
	"For happy goodness!",
	"The better kwote database.",
	"It blows goats!"
);
# tag lines to be randomly displayed
# in the header

$Conf::DEFAULT_TEMPLATE = "default";
# name of the default template

############################
## DATABASE CONFIGURATION ##
############################
$Conf::DB_TYPE = "mysql";
# dbi database type (only MySQL is
# supported currently, due to the
# fact that "LIMIT X,X", and "RAND()"
# is used

$Conf::DB_NAME = "kwotes";
# database name

$Conf::DB_HOST = "localhost";
# database host

$Conf::DB_USER = "root";
# database user

$Conf::DB_PASS = "bejane";
# database password

############################
## GENERAL STUFF          ##
############################
$Conf::CAPTCHA_SALT = "Kw0t3zCapTchASal7";
# The "Salt" to add to the captcha
# md5s that are sent to the user,
# It's a good idea to change this

$Conf::SECS_BETWEEN_KWOTES = 60*60;
# seconds a user must wait after
# submitting MAX_KWOTES_PER_IP
# kwotes to the system before they
# are allowed to submit another
# kwote

$Conf::KWOTE_DEATH_RATING = -1;
# lowest rating a quote can be
# before it's deleted.  A kwote is
# only deleted if it's been this
# number (or lower) for longer than
# the KWOTE_TTL

$Conf::MAX_KWOTES_PER_IP = 5;
# maximum kwotes allowed per ip
# in SECS_BETWEEN_KWOTES

$Conf::KWOTE_TTL = (60*60)*24;	
# seconds before a "dead"
# quote is moved to the kwote
# backup table and deleted

$Conf::MAX_VOTES_PER_IP = 4;
# maximum votes per ip address per
# VOTE_TTL seconds.

$Conf::SECS_BETWEEN_VOTES = 60*60;
# seconds a user must wait after
# submiting MAX_VOTES_PER_IP
# votes to a single kwote before
# they are allowed to submit
# another vote for it
1;
